DOTLOCK.MAILUTILS(1)

NAME
dotlock.mailutils - lock mail spool files.

SYNOPSIS
dotlock.mailutils [OPTION...] FILE

DESCRIPTION
GNU dotlock -- lock mail spool files.

-d, --[no-]debug
    print details of failure reasons to stderr

-f, --force[=MINUTES]
    forcibly break an existing lock older than a certain time

-p, --[no-]pid-check
    check if the PID of lock owner is still active

-r, --retry=RETRIES
    retry the lock a few times

-t, --delay=SECONDS
    delay between two successive locking attempts (in seconds)

-u, --[no-]unlock
    unlock

    Global debugging settings

--debug-level=LEVEL
    set Mailutils debugging level

--[no-]debug-line-info show source info with debugging messages

    Configuration handling

--config-file=FILE
    load this configuration file; implies --no-config

--config-lint
    check configuration file syntax and exit

--config-verbose
    verbosely log parsing of the configuration files

--no-config
    do not load site and user configuration files

--no-site-config
    do not load site-wide configuration file

--no-user-config
    do not load user configuration file

--set=PARAM=VALUE
    set configuration parameter

    Informational options

--config-help
    show configuration file summary

--show-config-options
    show compilation options

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

Returns 0 on success, 3 if locking the file fails because it's already locked, and 1 if some other kind of error occurred.

REPORTING BUGS
Report bugs to <bug-mailutils@gnu.org>.
GNU Mailutils home page: <http://mailutils.org>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2007-2025 Free Software Foundation, inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The complete GNU mailutils documentation is maintained as a Texinfo manual. If the mailutils-doc package is installed, the command

    info mailutils

should give you access to the complete manual.
You can also find this manual online in the GNU mailutils webpage:
https://www.gnu.org/software/mailutils/manual/index.html.
Please note this manpage was automatically generated by the Debian mailutils packagers. Do not file bugs for its content to the GNU Mailutils upstream authors.